﻿.hr-left-text {
    display: flex;
    align-items: center;
    margin: 10px 0;
}

    .hr-left-text::before {
        content: "";
        width: 30px; /* ความยาวเส้นฝั่งซ้ายก่อนข้อความ */
        border-bottom: 1px solid #b3b3b3;
        margin-right: 10px;
    }

    .hr-left-text::after {
        content: "";
        flex: 1;
        border-bottom: 1px solid #b3b3b3;
        margin-left: 10px;
    }

    .hr-left-text span {
        font-weight: 500;
        color: #737373;
        white-space: nowrap;
    }

.text-end input {
    text-align: right;
}

/*ส่วนนี้จัดการเกี่ยวกับแถบเมนู ถ้าจะใช้เมนูแบบนี้ ต้องเอาชุดนี้ไปด้วย*/
/*###########################################*/
/*ส่วนนี้เป็นการบอกให้ body สามารถตัดคำได้ทุกที่เมื่อคำยาวเกินขนาดหน้าจอ */
body {
    overflow-wrap: anywhere;
}
/*###########################################*/

:root {
    --custom-appbar-height: 56px;
}

@media (min-width: 641px) {
    :root {
        --custom-appbar-height: 64px;
    }
}

.menu-bar {
    position: sticky;
    top: var(--custom-appbar-height);
    z-index: 1000;
    background-color: gainsboro !important;
    width: 100%;
}

    /*     ให้แต่ละกลุ่มเมนูไม่หดคำ */
    .menu-bar .menu-group {
        white-space: nowrap;
    }

.h-80 {
    height: 80% !important;
}